// -----------------------------------------------------------
// Bit library v1.3
// Copyright (C) 2005-2006 DJ-Andrey-sXe. All rights Reserved.
// License: GPL
// -----------------------------------------------------------

/* ======== Sample code: ========

  char c = 0;
  bool bit1, bit2;

  SetBit ( &c, 0 );        // sets first bit

  bit1 = GetBit ( &c, 0 ); // returns first bit  (true)
  bit2 = GetBit ( &c, 1 ); // returns second bit (false)

================================= */

#ifndef __LIB_BIT_H_INCLUDED
#define __LIB_BIT_H_INCLUDED

// Set Bit to data pointed by 'p' at 'offset'
void SetBit ( unsigned char    * p, unsigned char offset );
void SetBit ( signed   char    * p, unsigned char offset );
void SetBit ( unsigned short   * p, unsigned char offset );
void SetBit ( signed   short   * p, unsigned char offset );
void SetBit ( unsigned long    * p, unsigned char offset );
void SetBit ( signed   long    * p, unsigned char offset );
void SetBit ( unsigned __int64 * p, unsigned char offset );
void SetBit ( signed   __int64 * p, unsigned char offset );

// Get Bit from data pointed by 'p' at 'offset'
bool GetBit ( unsigned char    * p, unsigned char offset );
bool GetBit ( signed   char    * p, unsigned char offset );
bool GetBit ( unsigned short   * p, unsigned char offset );
bool GetBit ( signed   short   * p, unsigned char offset );
bool GetBit ( unsigned long    * p, unsigned char offset );
bool GetBit ( signed   long    * p, unsigned char offset );
bool GetBit ( unsigned __int64 * p, unsigned char offset );
bool GetBit ( signed   __int64 * p, unsigned char offset );

#endif // __LIB_BIT_H_INCLUDED
